package com.yanzhu.system.mapper;

import com.yanzhu.system.domain.FlowProcDefDto;
import com.yanzhu.system.domain.flowable.FlowDeptVo;
import com.yanzhu.system.domain.flowable.FlowQueryVo;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 流程定义查询
 *
 * @author Tony
 * @email
 * @date 2022/1/29 5:44 下午
 **/
public interface FlowDeployMapper {

    /**
     * 流程定义列表
     * @param flowQueryVo 流程查询
     * @return
     */
    List<FlowProcDefDto> selectDeployList(FlowQueryVo flowQueryVo);

    /**
     * 缺省流程定义列表
     * @param list 排除的缺省工作流类型
     * @return
     */
    List<FlowProcDefDto> selectDefaultDeployList(List<String> list);

    /**
     * 新增单位流程关系
     *
     * @param flowDeptVo 流程 单位关系
     * @return 结果
     */
    public int insertActReProcdefDept(FlowDeptVo flowDeptVo);
}
