
<h1 align="center" style="margin: 30px 0 30px; font-weight: bold;">RuoYi-Flowable</h1>
<h4 align="center">基于RuoYi+Flowable 6.x的工作流管理平台</h4>
<p align="center">
	<a href="https://gitee.com/tony2y/RuoYi-flowable/stargazers"><img src="https://gitee.com/tony2y/RuoYi-flowable/badge/star.svg?theme=dark?theme=dark"></a>
</p>

## 平台简介

基于RuoYi-vue  + Flowable 6.x 的工作流管理平台 ~

- 不定时同步[RuoYi-Vue](https://gitee.com/y_project/RuoYi-Vue)至最新版本。
- 前端采用Vue、Element UI。
- 后端采用Spring Boot、Spring Security、Redis & Jwt。
- 权限认证使用Jwt，支持多终端认证系统。
- 支持加载动态权限菜单，多方式轻松权限控制.
- 项目地址：[Gitee](https://gitee.com/tony2y/RuoYi-flowable.git)&nbsp;&nbsp;&nbsp;[Github](https://github.com/tony2y/RuoYi-flowable.git)
- 阿里云折扣场：[点我进入](https://www.aliyun.com/activity/daily/bestoffer?userCode=q2b8atsa)，腾讯云秒杀场：[点我进入](https://curl.qcloud.com/W5KFkBG4)&nbsp;&nbsp;
- 阿里云优惠券：[点我领取](https://www.aliyun.com/daily-act/ecs/activity_selection?userCode=q2b8atsa)，腾讯云优惠券：[点我领取](https://curl.qcloud.com/AacfyRxq)&nbsp;&nbsp;
- 特别鸣谢：[RuoYi-Vue](https://gitee.com/y_project/RuoYi-Vue)
## 内置功能

- 在线流程设计器
- 在线流程表单设计器
- 单节点配置表单
- 多实例会签任务
- 任务节点配置任务/执行监听器
- 动态配置任务候选人
- 其它流程相关功能点

## 演示地址

- 开源版演示地址：http://open.tony2y.top
- Vue2 / Vue3 演示地址(付费版)：http://vue3.tony2y.top
- 使用文档：https://www.yuque.com/u1024153/icipor

## 其它业务系统

- [[ 智慧农业认养系统 ]](https://gitee.com/tony2y/smart-breed)：基于Java + SpringBoot + Mybatis Plus + Redis + Vue + antdv，支持认养、商城、营销、会员、进销存、多租户等功能，包含小程序，系统管理后台。
- [[ 智慧景区管理系统 ]](https://gitee.com/tony2y/scenic-spot)：基于Java + SpringBoot + Mybatis Plus + Redis + Vue + antdv，支持景区管理、售票、地块管理、认养、商城、农资管理、积分兑换等功能，包含小程序，系统管理后台。


