package com.yanzhu.web;

import com.yanzhu.common.core.controller.BaseController;
import com.yanzhu.common.core.domain.AjaxResult;
import com.yanzhu.common.core.domain.entity.SysDept;
import com.yanzhu.system.service.ISysDeptService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.security.access.prepost.PreAuthorize;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

@RestController
@RequestMapping("/project/project")
public class ProjectController extends BaseController {
    @Autowired
    private ISysDeptService deptService;


    @PreAuthorize("@ss.hasPermi('project:project:list')")
    @PostMapping("/list")
    public AjaxResult companyList(@RequestBody SysDept where)
    {
        where.setDelFlag("0");
        List<SysDept> depts = deptService.selectDeptList(where);
        return success(depts);
    }

}
