package com.yanzhu.wechat.domain;

import com.yanzhu.project.domain.ProProjectApply;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

/**
 * @version : V1.0
 * @ClassName: StartProcessInstanceVo
 * @Description: 流程启动对象
 * @Auther: JiangYuQi
 * @Date: 2020/7/7 18:03
 */
@Data
public class StartProcessInstanceVo {

    /**
     * 流程实例ID
     */
    @NotBlank(message = "流程实例ID不能为空")
    private String procDefId;

    /**
     * 流程关联表单
     */
    @NotNull(message = "流程关联表单不能为空")
    private ProProjectApply proProjectApply;
}
