package com.yanzhu.project.domain;

import java.math.BigDecimal;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.yanzhu.common.annotation.Excel;
import com.yanzhu.common.core.domain.BaseEntity;

/**
 * 申请详情验收对象 pro_project_apply_detail_check
 * 
 * @author yanZhu
 * @date 2024-09-01
 */
public class ProProjectApplyDetailCheck extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 详情主键 */
    @Excel(name = "详情主键")
    private Long detailId;

    /** 验收值 */
    @Excel(name = "验收值")
    private String checkValue;

    /** 验收价格 */
    @Excel(name = "验收价格")
    private BigDecimal checkPrice;

    public void setDetailId(Long detailId) 
    {
        this.detailId = detailId;
    }

    public Long getDetailId() 
    {
        return detailId;
    }
    public void setCheckValue(String checkValue) 
    {
        this.checkValue = checkValue;
    }

    public String getCheckValue() 
    {
        return checkValue;
    }
    public void setCheckPrice(BigDecimal checkPrice) 
    {
        this.checkPrice = checkPrice;
    }

    public BigDecimal getCheckPrice() 
    {
        return checkPrice;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("detailId", getDetailId())
            .append("checkValue", getCheckValue())
            .append("checkPrice", getCheckPrice())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .toString();
    }
}
