package com.yanzhu.system.domain.vo;

import lombok.Data;

import javax.validation.constraints.NotBlank;

/**
 * 修改密码
 *
 * @author yanZhu
 */
@Data
public class UpdatePwdVo {

    /** 旧密码 */
    @NotBlank(message = "旧密码不能为空")
    private String oldPsw;

    /** 新密码 */
    @NotBlank(message = "新密码不能为空")
    private String newPsw;

    /** 确认密码 */
    @NotBlank(message = "确认密码不能为空")
    private String cfmPsw;
}
